SoNotList(3)

NAME
SoNotList - The SoNotList class is a list of SoNotRec notification records.

SYNOPSIS

#include <Inventor/misc/SoNotification.h>

  Public Member Functions
SoNotList (void)
SoNotList (const SoNotList *nl)
void append (SoNotRec *const rec)
void append (SoNotRec *const rec, SoField *const field)
void append (SoNotRec *const rec, SoEngineOutput *const engineout)
void setLastType (const SoNotRec::Type type)
SoNotRec * getFirstRec (void) const
SoNotRec * getLastRec (void) const
SoNotRec * getFirstRecAtNode (void) const
SoField * getLastField (void) const
SoEngineOutput * getLastEngineOutput (void) const
SbUniqueId getTimeStamp (void) const
void print (FILE *const file=stdout) const

Detailed Description

The SoNotList class is a list of SoNotRec notification records.

Constructor & Destructor Documentation

  SoNotList::SoNotList (void )
Initialize list.

  SoNotList::SoNotList (const SoNotList * nl)
Copy constructor. Does a bitwise copy of the nl object (no duplication of list elements).

Member Function Documentation

  void SoNotList::append (SoNotRec *const rec)
Append rec notification source to the list.

  void SoNotList::append (SoNotRec *const rec, SoField *const field)
Append rec notification source to the list, setting field as the last field having been influenced by the notification process.

  void SoNotList::append (SoNotRec *const rec, SoEngineOutput *const engineout)
Append rec notification source to the list, setting engineout as the last engine output field having been influenced by the notification process.

  void SoNotList::setLastType (const SoNotRec::Type type)
Set the type of the last notification record in the list.

  SoNotRec * SoNotList::getFirstRec (void ) const
Returns the first record in the list.

  SoNotRec * SoNotList::getLastRec (void ) const
Returns the last record in the list.

  SoNotRec * SoNotList::getFirstRecAtNode (void ) const
Returns the first record in the list which is derived from SoBase.

  SoField * SoNotList::getLastField (void ) const
Returns the last field touched by notification.

  SoEngineOutput * SoNotList::getLastEngineOutput (void ) const
Returns the last engine output field touched by notification.

  SbUniqueId SoNotList::getTimeStamp (void ) const
Returns the time stamp when the notification started.

  void SoNotList::print (FILE *const file = stdout) const
Dump contents of list from tail record and backwards. Only available if compiled with debug information on.

Author

Generated automatically by Doxygen for Coin from the source code.